### A free/open-source library for quantitative finance

Public Member Functions
AnalyticDividendEuropeanEngine Class Reference
Vanilla option engines

Analytic pricing engine for European options with discrete dividends. More...

`#include <ql/pricingengines/vanilla/analyticdividendeuropeanengine.hpp>`

Inheritance diagram for AnalyticDividendEuropeanEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticDividendEuropeanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Detailed Description

Analytic pricing engine for European options with discrete dividends.

Tests:
  the correctness of the returned greeks is tested by reproducing numerical derivatives.